/*
|============================================================================
| Index
|----------------------------------------------------------------------------
|
| This file is for theme based or wordpress specific styles
|
| # General
| - Button
|
| # Post Entry
|
============================================================================= */


/* General
============================================================================= */

.uppercase {
  text-transform: uppercase;
}

/* Button
----------------------------------------------------------------------------- */

.button.full-width {
  width: 100%;
}

/* Title
-----------------------------------------------------------------------------  */

.title + .sub-title {
  margin: -.5rem 0 2.25rem;
}

.title + .entry-meta {
  margin: -1.75rem 0 2.25rem;
}

.widget-content h2 {
  margin-top: 1rem;
}


/* Post Entry
============================================================================= */

.entry-meta {
  margin-bottom: 1rem;
}

/* Archive
============================================================================= */

.archive-description {
  margin: -1.5rem 0 2.25rem;
}

/* Post pagination navigation
----------------------------------------------------------------------------- */

.pagination ul .current {
  box-shadow: inset 0 6px 0 0 #e40422;
  pointer-events: none;
  font-weight: bold;
  color: #000;
}

/* Archive
============================================================================= */

/* Post pagination navigation
----------------------------------------------------------------------------- */

.pagination-single {
  margin-top: 50px;
}

.pagination-single-inner {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.pagination-single.only-next .pagination-single-inner {
  justify-content: flex-end;
}

.pagination-single .next-post {
  flex-direction: row-reverse;
  text-align: right;
}


/* Berlin
============================================================================= */

/* Image
----------------------------------------------------------------------------- */

.image img {
  height: auto;
}

/* Teaser
----------------------------------------------------------------------------- */

.modul-buehne ul.buhne__list--teaser .modul-teaser_buehne.light-grey {
  background: #f5f5f5;
}

ul.buhne__list--teaser .modul-teaser_buehne.light-grey * {
  color: #000;
}

.flexgrid:not(.grid--1) .modul-teaser .image .image__image {
  position: relative;
}

.flexgrid:not(.grid--1) .modul-teaser .image .image__image:before {
  display: block;
  content: "";
  width: 100%;
  padding-top: 66.67%;
  background: var(--color-grey);
}

.flexgrid:not(.grid--1) .modul-teaser .image .image__image > * {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  object-fit: cover;
  height: 100%;
  width: 100%;
}

/* Block Editor
============================================================================= */

.modul-text_bild .wp-block-columns {
  margin-bottom: 1.25em;
}

@media (min-width: 782px) {
  .modul-text_bild .wp-block-column:not(:first-child) {
    margin-left: 1.25em;
  }
}

/* Images
----------------------------------------------------------------------------- */

.wp-block-image figcaption {
  text-align: left !important;
  font-size: 11px;
  color: #454545;
  display: block;
  margin-bottom: 0.25em;
  line-height: 1.2;
  margin-top: 0;
}

/* Buttons
----------------------------------------------------------------------------- */

a.button {
 margin-bottom: 2em;
 margin-top: 1em;
}

.button .wp-block-button__link {
  min-height: 43px;
  margin-bottom: 0;
  width: auto;
  box-shadow: none;
  border-radius: 0px;
  text-decoration: none;
  padding: 10px 16px;
  font-size: 1em;
  line-height: 1.2;
  display: inline-block;
  vertical-align: top;
  text-align: center;
  cursor: pointer;
  overflow: visible;
  background-color: #fff;
  color: #000;
  border: 2px solid #000;
  transition: background-color 0.2s ease-out;
  position: relative;
  padding-right: 59px;
}

.button .wp-block-button__link:hover,
.button .wp-block-button__link:focus  {
  text-decoration: none;
  background-color: #f5f5f5;
}

.button .wp-block-button__link:after,
.button .wp-block-button__link:before  {
  color: #fff;
}

.button .wp-block-button__link:after {
  content: "";
  font-family: "Font Awesome 5 Free", "Font Awesome 5 Brands", FontAwesome;
  font-weight: 700;
  line-height: inherit;
  margin-left: 0.4em;
  display: inline-block;
  vertical-align: baseline;
  color: #fff;
  font-size: 18px;
}

.button .wp-block-button__link:after {
  background-color: #e40422;
  position: absolute;
  right: 0;
  top: 0;
  height: 100%;
  line-height: 2em !important;
  width: 43px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
}

.wp-block-buttons + p {
  margin-top: 1rem;
}

.wp-block-group.subpages-title .sub-title {
  margin-top: -.5rem;
  margin-bottom: 2.5rem;
}

section.content-section {
  margin-bottom: 3rem;
}

/* ============================================================
   Modul: Kachelnavigation (Arrowtiles)
   ============================================================ */

:root {
  --bicon-arrow-right: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20448%20512%22%3E%3C%21--%21Font%20Awesome%20Free%206.5.2%20by%20%40fontawesome%20-%20https%3A%2F%2Ffontawesome.com%20License%20-%20https%3A%2F%2Ffontawesome.com%2Flicense%2Ffree%20Copyright%202024%20Fonticons%2C%20Inc.--%3E%3Cpath%20d%3D%22M190.5%2066.9l22.2-22.2c9.4-9.4%2024.6-9.4%2033.9%200L441%20239c9.4%209.4%209.4%2024.6%200%2033.9L246.6%20467.3c-9.4%209.4-24.6%209.4-33.9%200l-22.2-22.2c-9.5-9.5-9.3-25%20.4-34.3L311.4%20296H24c-13.3%200-24-10.7-24-24v-32c0-13.3%2010.7-24%2024-24h287.4L190.9%20101.2c-9.8-9.3-10-24.8-.4-34.3z%22%2F%3E%3C%2Fsvg%3E");
}

.modul-arrowtiles ul > li {
  margin-left: 0;
}
.modul-arrowtiles ul > li:before {
  content: unset;
  display: none;
}
.modul-arrowtiles ul > li::marker {
  display: none;
  content: unset;
}
.modul-arrowtiles ul > li {
  margin-bottom: 20px;
}
@media print, (min-width: 37.501rem) {
  .modul-arrowtiles ul {
    gap: 20px;
    display: flex !important;
    display: -ms-flexbox !important;
    flex-wrap: wrap !important;
    align-items: stretch;
    width: auto !important;
  }
  .modul-arrowtiles ul > li {
    width: calc(50% - 10px);
    margin-bottom: 0;
  }
}
@media print, (min-width: 92.501rem) {
  .modul-arrowtiles ul > li {
    width: calc(25% - 15px);
  }
}
.arrowtile {
  background-color: #f5f5f5;
  color: #000000;
  position: relative;
  min-height: 36px;
  padding: 18px;
  height: 100%;
  width: 100%;
}
.arrowtile .title {
  display: block;
  word-break: break-word;
  font-size: 16px;
  line-height: 1.353em;
  margin-bottom: 0.75em;
  padding-right: 25px;
  font-weight: bold;
  color: #000000;
  hyphens: auto;
  hyphenate-limit-chars: 5 5 5;
}
.arrowtile .category {
  font-size: 14px;
  background-color: #efefef;
  display: inline-flex;
  align-items: center;
  gap: 5px;
  border-radius: 1em;
  padding: 1px 8px 1px 6px;
  color: #000000;
}
.arrowtile:after {
  line-height: 1;
  vertical-align: text-top;
  content: "";
  background-color: currentColor;
  display: inline-block;
  overflow: hidden;
  width: 16px;
  height: 16px;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-position-x: center;
  -webkit-mask-position-y: bottom;
  mask-position: bottom center;
  -webkit-mask-image: var(--bicon-arrow-right);
  mask-image: var(--bicon-arrow-right);
  color: inherit;
}
.arrowtile:before,
.arrowtile:after {
  position: absolute;
  right: 0;
  top: 0;
  display: inline-flex;
  content: "";
}
.arrowtile:after {
  color: #ffffff;
  pointer-events: none;
  margin: 10px;
}
.arrowtile:before {
  display: inline-block;
  background: #e40422;
  height: 36px;
  width: 36px;
}

#unterseiten {
  margin-top: 3rem;
}